Call any catalog tool
curl --request POST \
--url https://helve.dev/v1/tools/call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_id": "frankfurter.fx_rates",
"arguments": {
"base": "USD",
"symbols": "EUR,GBP"
}
}
'import requests
url = "https://helve.dev/v1/tools/call"
payload = {
"tool_id": "frankfurter.fx_rates",
"arguments": {
"base": "USD",
"symbols": "EUR,GBP"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_id: 'frankfurter.fx_rates', arguments: {base: 'USD', symbols: 'EUR,GBP'}})
};
fetch('https://helve.dev/v1/tools/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://helve.dev/v1/tools/call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_id' => 'frankfurter.fx_rates',
'arguments' => [
'base' => 'USD',
'symbols' => 'EUR,GBP'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://helve.dev/v1/tools/call"
payload := strings.NewReader("{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://helve.dev/v1/tools/call")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://helve.dev/v1/tools/call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tool_id": "<string>",
"provider": "<string>",
"category": "<string>",
"warnings": [
"<string>"
],
"usage": {
"provider_cost_usd": 123,
"platform_fee_usd": 123,
"cost_usd": 123,
"credits": 123
},
"latency_ms": 123,
"data": null
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}Tool Catalog & Discovery
Call tool
Invoke any tool from Helve’s catalog by tool_id with its native arguments using your single sk_live_ key. Upstream costs plus Helve’s 15% fee are debited from your balance; failed upstream calls cost $0.
POST
/
v1
/
tools
/
call
Call any catalog tool
curl --request POST \
--url https://helve.dev/v1/tools/call \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool_id": "frankfurter.fx_rates",
"arguments": {
"base": "USD",
"symbols": "EUR,GBP"
}
}
'import requests
url = "https://helve.dev/v1/tools/call"
payload = {
"tool_id": "frankfurter.fx_rates",
"arguments": {
"base": "USD",
"symbols": "EUR,GBP"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tool_id: 'frankfurter.fx_rates', arguments: {base: 'USD', symbols: 'EUR,GBP'}})
};
fetch('https://helve.dev/v1/tools/call', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://helve.dev/v1/tools/call",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tool_id' => 'frankfurter.fx_rates',
'arguments' => [
'base' => 'USD',
'symbols' => 'EUR,GBP'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://helve.dev/v1/tools/call"
payload := strings.NewReader("{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://helve.dev/v1/tools/call")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://helve.dev/v1/tools/call")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tool_id\": \"frankfurter.fx_rates\",\n \"arguments\": {\n \"base\": \"USD\",\n \"symbols\": \"EUR,GBP\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tool_id": "<string>",
"provider": "<string>",
"category": "<string>",
"warnings": [
"<string>"
],
"usage": {
"provider_cost_usd": 123,
"platform_fee_usd": 123,
"cost_usd": 123,
"credits": 123
},
"latency_ms": 123,
"data": null
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}{
"error": {
"type": "unauthorized",
"message": "<string>",
"detail": "<unknown>"
}
}Authorizations
Body
application/json